/*
    GuiMame
    Copyright (C) 2001 John David Ratliff [guimame@technoplaza.net]

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#if !defined(AFX_PATHDIALOG_H__6F04A8AC_4A19_4C37_B045_FCDAD0558555__INCLUDED_)
#define AFX_PATHDIALOG_H__6F04A8AC_4A19_4C37_B045_FCDAD0558555__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PathDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPathDialog dialog

class CPathDialog : public CDialog
{
// Construction
public:
	CPathDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPathDialog)
	enum { IDD = IDD_PATH_DIALOG };
	CString	m_MamePath;
	CString	m_RomPath;
	CString	m_MameOptions;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPathDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPathDialog)
	afx_msg void OnOk();
	virtual void OnCancel();
	afx_msg void OnFindMamePath();
	afx_msg void OnFindRomPath();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PATHDIALOG_H__6F04A8AC_4A19_4C37_B045_FCDAD0558555__INCLUDED_)
